| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Attrib::Param Class Referenceabstract
AttributeEngine

A parameter that is used by an attribute. More...

`#include <attribparambase.h>`

Inheritance diagram for Attrib::Param:
[legend]

## Public Member Functions
virtual | ~Param ()
virtual Param * | clone () const =0
virtual void | fillDefStr (BufferString &) const =0
virtual bool | getCompositeValue (BufferString &) const =0
virtual BufferString | getDefaultValue () const
StringView | getKey () const
bool | isEnabled () const
bool | isGroup () const
virtual bool | isOK () const =0
bool | isRequired () const
bool | operator!= (const Param &p) const
bool | operator== (const Param &p) const
virtual bool | setCompositeValue (const char *)
void | setEnabled (bool yn=true)
void | setKey (const char *newkey)
void | setRequired (bool yn=true)
virtual bool | setValues (BufferStringSet &)

## Protected Member Functions
| Param (const char *key)
| Param (const Param &)
bool | _isEqual (const Param &p) const
virtual bool | isEqual (const Param &) const =0

## Protected Attributes
bool | enabled_
bool | isgroup_
BufferString | key_
bool | required_

## Detailed Description

A parameter that is used by an attribute.

Each attribute has a definition string that defines how the attribute is computed. The definition string has the format:

AttribNameWithoutSpaces param1=value1 param2=value2,value3

The parameter thus has a key (e.g. param1) and one or more associated values.

<>

## Constructor & Destructor Documentation

## ◆ ~Param()

virtual Attrib::Param::~Param | ( |  | ) |
| virtual

## ◆ Param() [1/2]

Attrib::Param::Param | ( | const char * | key | ) |
| protected

## ◆ Param() [2/2]

Attrib::Param::Param | ( | const Param & |  | ) |
| protected

## Member Function Documentation

## ◆ _isEqual()

bool Attrib::Param::_isEqual | ( | const Param & | p | ) | const
| inline protected

## ◆ clone()

virtual Param * Attrib::Param::clone | ( |  | ) | const
| pure virtual

Implemented in Attrib::BinIDParam, Attrib::BoolParam, Attrib::EnumParam, Attrib::StringParam, Attrib::NumParam< T >, Attrib::NumGateParam< T >, Attrib::SeisStorageRefParam, Attrib::ValParam, and Attrib::ParamGroup< PT >.

## ◆ fillDefStr()

virtual void Attrib::Param::fillDefStr | ( | BufferString & |  | ) | const
| pure virtual

Implemented in Attrib::EnumParam, Attrib::ValParam, and Attrib::ParamGroup< PT >.

## ◆ getCompositeValue()

virtual bool Attrib::Param::getCompositeValue | ( | BufferString & |  | ) | const
| pure virtual

Put all values into one string.

Implemented in Attrib::BinIDParam, Attrib::StringParam, Attrib::ValParam, Attrib::ParamGroup< PT >, Attrib::NumParam< T >, and Attrib::NumGateParam< T >.

## ◆ getDefaultValue()

virtual BufferString Attrib::Param::getDefaultValue | ( |  | ) | const
| inline virtual

Reimplemented in Attrib::BinIDParam, Attrib::BoolParam, Attrib::EnumParam, Attrib::StringParam, Attrib::NumParam< T >, Attrib::NumGateParam< T >, and Attrib::ValParam.

## ◆ getKey()

StringView Attrib::Param::getKey | ( |  | ) | const
| inline

## ◆ isEnabled()

bool Attrib::Param::isEnabled | ( |  | ) | const
| inline

## ◆ isEqual()

virtual bool Attrib::Param::isEqual | ( | const Param & |  | ) | const
| protected pure virtual

Implemented in Attrib::ValParam, and Attrib::ParamGroup< PT >.

## ◆ isGroup()

bool Attrib::Param::isGroup | ( |  | ) | const
| inline

## ◆ isOK()

virtual bool Attrib::Param::isOK | ( |  | ) | const
| pure virtual

Implemented in Attrib::SeisStorageRefParam, Attrib::ValParam, and Attrib::ParamGroup< PT >.

## ◆ isRequired()

bool Attrib::Param::isRequired | ( |  | ) | const
| inline

## ◆ operator!=()

bool Attrib::Param::operator!= | ( | const Param & | p | ) | const
| inline

## ◆ operator==()

bool Attrib::Param::operator== | ( | const Param & | p | ) | const
| inline

## ◆ setCompositeValue()

virtual bool Attrib::Param::setCompositeValue | ( | const char * |  | ) |
| inline virtual

Set all values from one composite string.

Reimplemented in Attrib::BinIDParam, Attrib::BoolParam, Attrib::StringParam, Attrib::NumParam< T >, Attrib::NumGateParam< T >, and Attrib::ValParam.

## ◆ setEnabled()

void Attrib::Param::setEnabled | ( | bool | yn = true | ) |
| inline

## ◆ setKey()

void Attrib::Param::setKey | ( | const char * | newkey | ) |
| inline

## ◆ setRequired()

void Attrib::Param::setRequired | ( | bool | yn = true | ) |
| inline

## ◆ setValues()

virtual bool Attrib::Param::setValues | ( | BufferStringSet & |  | ) |
| inline virtual

Set all values from multiple strings.

Reimplemented in Attrib::ParamGroup< PT >.

## Member Data Documentation

## ◆ enabled_

bool Attrib::Param::enabled_
| protected

## ◆ isgroup_

bool Attrib::Param::isgroup_
| protected

## ◆ key_

BufferString Attrib::Param::key_
| protected

## ◆ required_

bool Attrib::Param::required_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025